# PSF-LoginServer - master - net.psforever.objects.zones.MapInfo
PSF - LoginServer - master - net.psforever.objects.zones.MapInfo
Keywords: PSF LoginServer master net.psforever.objects.zones.MapInfo

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

o

net.psforever.objects.zones

# MapInfo 

###
Companion class MapInfo

#### case object MapInfo extends StringEnum[MapInfo] with Product with Serializable

Source
  MapInfo.scala

Linear Supertypes
Serializable, Product, Equals, StringEnum[MapInfo], ValueEnum[String, MapInfo], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MapInfo
2. Serializable
3. Product
4. Equals
5. StringEnum
6. ValueEnum
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final macro def findValues: IndexedSeq[MapInfo]
   Attributes
     protected
   Definition Classes
     StringEnum
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementName(n: Int): String
    Definition Classes
      Product
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  val values: IndexedSeq[MapInfo]
    Definition Classes
      MapInfo → ValueEnum
19.  final lazy val valuesToEntriesMap: Map[String, MapInfo]
    Definition Classes
      ValueEnum
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  def withValue(i: String): MapInfo
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
24.  def withValueEither(i: String): Either[NoSuchMember[String, ValueEnumEntry[String]], MapInfo]
    Definition Classes
      ValueEnum
25.  def withValueOpt(i: String): Option[MapInfo]
    Definition Classes
      ValueEnum
26.  case object Map01 extends MapInfo with Product with Serializable
27.  case object Map02 extends MapInfo with Product with Serializable
28.  case object Map03 extends MapInfo with Product with Serializable
29.  case object Map04 extends MapInfo with Product with Serializable
30.  case object Map05 extends MapInfo with Product with Serializable
31.  case object Map06 extends MapInfo with Product with Serializable
32.  case object Map07 extends MapInfo with Product with Serializable
33.  case object Map08 extends MapInfo with Product with Serializable
34.  case object Map09 extends MapInfo with Product with Serializable
35.  case object Map10 extends MapInfo with Product with Serializable
36.  case object Map11 extends MapInfo with Product with Serializable
37.  case object Map12 extends MapInfo with Product with Serializable
38.  case object Map13 extends MapInfo with Product with Serializable
39.  case object Map14 extends MapInfo with Product with Serializable
40.  case object Map15 extends MapInfo with Product with Serializable
41.  case object Map16 extends MapInfo with Product with Serializable
42.  case object Map96 extends MapInfo with Product with Serializable
43.  case object Map97 extends MapInfo with Product with Serializable
44.  case object Map98 extends MapInfo with Product with Serializable
45.  case object Map99 extends MapInfo with Product with Serializable
46.  case object Ugd01 extends MapInfo with Product with Serializable
47.  case object Ugd02 extends MapInfo with Product with Serializable
48.  case object Ugd03 extends MapInfo with Product with Serializable
49.  case object Ugd04 extends MapInfo with Product with Serializable
50.  case object Ugd05 extends MapInfo with Product with Serializable
51.  case object Ugd06 extends MapInfo with Product with Serializable

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from StringEnum[MapInfo]

### Inherited from ValueEnum[String, MapInfo]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped